Strange Image creation Problem

hi@all
Just now i got a problem with Image creation.
Alert a;
try {
Image m = Image.createImage("/" +Words[CurrentPage*8+i]+".jpg");
a = new Alert(Words[CurrentPage*8+i], "", m, AlertType.INFO);
a.setTimeout(Alert.FOREVER);
display.setCurrent(a);
     } catch (IOException e) {
                    e.printStackTrace();
then i got an exeption as following:
java.io.IOException
     at javax.microedition.lcdui.ImmutableImage.getImageFromStream(+15)
     at javax.microedition.lcdui.ImmutableImage.<init>(+20)
     at javax.microedition.lcdui.Image.createImage(+8)
     at WordList.commandAction(+98)
     at javax.microedition.lcdui.Display$DisplayAccessor.commandAction(+296)
     at javax.microedition.lcdui.Display$DisplayManagerImpl.commandAction(+10)
     at com.sun.midp.lcdui.DefaultEventHandler.commandEvent(+68)
     at com.sun.midp.lcdui.AutomatedEventHandler.commandEvent(+47)
     at com.sun.midp.lcdui.DefaultEventHandler$QueuedEventHandler.run(+250)
I put the images into directory res, and when i print out the image path, it is correct. I rewrite
Image m = Image.createImage("/" +Words[CurrentPage*8+i]+".jpg");
like this Image m = Image.createImage("/myImage.jpg"); then it works!
I can not find any clue to solve this problem, totally confused.
Can anyone help me?
Thank u all in advance!!!!
db

Well, assuming this is an honest question then you need to go to the apple icon top left, click it, then click system preferences from the drop down, and then select energy saver from the menu that appears. You can adjust how long it takes before your mac automatically switches off your display there.
I don't really see how posting in the Developer forums is relevant for basic tech support. Unless of course you're doing so to highlight the stupidity of my question.

Similar Messages

  • Possible Fix for Disc Image Creation Problems

    I've noticed a number of posts describing problems similar to the one I had: with my first session with iDVD5, I tried creating an .img disc image (thanks to Apple, btw, for building that function in -- and for the new progress bars!), but it hung up all night long on the "Burn" task, and I had to force quit, leaving me with no image at all.
    I used disk image burning exclusively in iDVD4, because it allowed me to preview the result before committing it to a physical burn and prevented coaster-burning if something went wrong. I had had buffer problems when burning directly from iDVD -- but never with Disk Utility.
    Of course, in iDVD4, you cannot just burn a disk image using the app. Most are aware that using "Hurz" and "Pfurz" (see posts under iDVD4) provided a great workaround, however, and that's what I used.
    Well, it occurred to me that perhaps Hurz and Pfurz -- which basically interfered with iDVD4 to the user's advantage -- ought NOT to be in play with iDVD5. So I removed them from my user folder, et voila -- the very next time I tried the disk image function in iDVD5 (with the same project), it worked perfectly.
    But I can only SUSPECT that this was the solution, unfortunately, because of the fact that an automated maintenance script had repaird my permissions in the meantime. The problem might have been permission troubles resulting from installation.
    I do know this: removing Hurz and Pfurz and repairing the permissions worked for me. Hope it does for some others as well!

    Thanks, Len. I kind of wish Apple would make a bigger deal of this. Repairing permissions fixes ALL KINDS OF THINGS! And it is a VERY good idea to do it regularly.
    Like you, I do it once a week, using a wonderful freeware utililty called Onyx (search MacWorld or Google for it), which has a number of advantages over Disk Utility.
    In the first place, it will execute all the maintenance scripts as well. You might know that OSX has a number of scripts it runs in the background for maintenance, some daily, some weekly, and some monthly. But they are generally set to run late at night, which means you need to leave the computer ON and AWAKE. I don't do this as much as I should, so running Onyx ensures that these scripts get run. Since using Onyx, I have NEVER had a crash.
    Secondly, I can schedule it to do all this automatically, which is great - because I'm getting old . . . and I forget things. . . .

  • Strange image sharpening problem

    Hallo folks, I've been tasked to work with a developer on an iPhone app in development. I've never developed for iOS before so this is probably a really easy on to solve.
    Basically I've created a standard png-24 image with alpha and we're using it in the app but it's not displaying properly. It seems that somewhere in the compile process it's being sharpened somehow. We've used images created in the exact same fashion throughout the app but only this one is creating a problem.
    In the screenshot linked here: http://dl.dropbox.com/u/1766697/lovefresh/comparison.png
    you can see the png as it appears in interface builder (on the left) and on the iphone (on the right).
    The image is not interactive in any way and it's placed in interface builder at it's native resolution. The image also has an @2x version which displays fine, although I have wondered if maybe the app is mistakenly loading the double sized version and scaling it down. either way, I've tried placing the image elsewhere and it appears to work fine so I'm baffled as to what's going wrong here.
    Any help appreciated.
    Cheers

    Well, assuming this is an honest question then you need to go to the apple icon top left, click it, then click system preferences from the drop down, and then select energy saver from the menu that appears. You can adjust how long it takes before your mac automatically switches off your display there.
    I don't really see how posting in the Developer forums is relevant for basic tech support. Unless of course you're doing so to highlight the stupidity of my question.

  • OffScreen image creation problem

    Hi everyone,
    Actually I am programming some calsses that allow me to modelize different SpotLights (Cercle(Color, CenterCoordinates, Radius) ) and their sorrounded halo (Cercle(Color, CenterCoordinates, Radius)).
    I am planning to creat each spotLight and its halo off-screen and save it as .jpg file in a data base or a directory.
    My question is: how can I create these images without using any JComponet (Frame, panel or etc). I just want to create them in VM and save them as an image file so I can use them later on!
    Thank you for helping and if u need more information to solve this problem I would be happy to cooperate.
    Pishi

    Create a BufferedImage.
    The BufferedImage has a Graphics2D object, and you can draw the circles on the graphics object.
    Then you can convert the buffered image to a JPG file.

  • Thumbnail image creation problem in JSP

    Hi,
    Can you tell me, how can i create/show thumb view image in web browser from dynamic path not web root directory.
    For Example: In server PC i have an image in D:\test.jpg. I want to show this image in browser. I am using Tomcat 6.0 server. Your help will be highly appreciated..
    Thanks
    Ismail

    Probably the easiest thing is not to use Tomcat at all (unless you're using only Tomcat and not Apache as the web server). Using whatever build tool you're using to deploy content to your web site (e.g., Ant), create a thumbnail in an offline, deploy-time process. Then copy the image to a designated location under your docroot (e.g., /images/thumbnails/).

  • Image creation problem

    I am writing a servlet that loads an image like this.
         public static BufferedImage readAsBufferedImage(String filename)
              try {
              FileInputStream fis = new FileInputStream(filename);
              JPEGImageDecoder decoder = JPEGCodec.createJPEGDecoder(fis);
              BufferedImage bi = decoder.decodeAsBufferedImage();
              rast = decoder.decodeAsRaster();
              return bi;
              catch(Exception e) {
    e.printStackTrace();
    return null;
    I then reduce the colors of the image to 256, outputing a pixel array then generating a bufferedimage
    from the pixels. The code below fails and throws a java.lang.ArrayIndexOutOfBoundsException.
    Can anyone explain why this occures.
    public void setImage(int w, int h, int pix[])
    //TYPE_INT_BGR TYPE_BYTE_INDEXED
         try{
         BufferedImage bim = new BufferedImage(w,h,BufferedImage.TYPE_INT_BGR );
         bim.getRaster().setPixels(0,0,w,h,pix); //this is where it fails
         gbim = bim;
         catch(Exception e)
              e.printStackTrace();
    I then use the ACME classes to write a gif file.

    Are you trying to convert a JPEG image to a GIF image
    or something kinda of that

  • IDVD5 freezes during disc image creation

    iDVD(5.0.1) freezes at the "writing" stage of disc image creation.
    Video is imported to iMovie. I then make a 58 minute movie which I move to iDVD.
    After modifying the original iDVD file created by iMovie I "save as">new file name in another location on the hardisc.
    I quit iDVD, delete the original iDVD file, delete the playlist, restart, repair permissions, restart a 2nd time and then start iDVD.
    I open the 2nd iDVD file (the one I "saved as"), and then burn to disc image.
    The program goes through the first 4 menus and gets stuck on the "writing lead-in" phase. By stuck, I mean there is no activity for over 5 hours and I get the colored circle going around and around. I have done this before with a shorter, ~35 minute, movie with no problem.
    iDVD is set to "Best Quality".
    Any thoughts?
    iMac G5   Mac OS X (10.4.3)   2 GHz, 370 GB HD

    Hello Laszlo:
    Were you trying to make a disk image of just stills and no audio? (I quote Matti Haveri):
    - Sometimes iMovie HD 5.0.2 projects with only still images fail to burn in iDVD 5.0.1
    iDVD 5 sometimes has an error if it tries to encode an iMovie HD project consisting only of imported still images and no sound track.
    For example: I can produce the error when trying to burn this simple project: Create a PAL-DV project with iMovie 5.0.2. Import two 2048x1536 JPEGs to it with Ken Burns turned off. Send the project to iDVD 5.0.1 and let iMovie render the stills when it prompts it. Then encode the project as a disk image. At the very end of the encoding process there is an alert "Encoding Video. Error during rendering/encoding:" and making the disk image fails.
    The error can sometimes be prevented if a short video clip with audio is inserted to the beginning of the iMovie project. Sometimes this doesn't work and iDVD's error message at the end of the encoding is: "Errors were found during the burning process. The error #-1 was reported". (This applies to iMovie 5.0.1 and iDVD 5.0 -- I haven't seen this in later versions).
    Sue

  • Strange image border / bright edges on full screen preview

    Hi,
    I'm getting strange image borders on full screen preview. I've taken a photo to show this effect. Its noticebly wider on the left and right edges compared to top and bottom. Anyone know how to turn this border off?
    http://www.oriontransfer.co.nz/Projector/IMG_2307.jpg
    I've often noticed it, but its become more of a problem because I've just bought a 720p projector to display some photographs. I think the low resolution exacerbates the problem.
    Regards,
    Samuel

    I've added one more image of the top right hand corner. I've boosted the contrast to clearly show the problem. This problem is not just on the projector, it can also be seen on my new MacBook Pro LCD screen.
    http://www.oriontransfer.co.nz/Projector/IMG_2305.jpg

  • Problem: codebase, jar and image reloading problem please help!

    Hi Java Gurus,
    I have written an applet that extends JApplet for viewing webcam. In order to reduce the download time I put my classes into a doorcam.jar file. The following is my <applet> tag in my html file.
    <applet code="CameraApplet.class"
    archive="doorcam.jar"
         codebase = "webcam/classes"
         width="375" height="475">
    <param name="imagePath" value="http://judge/webcam/images">
    <param name="webCamImage" value="door.jpg">
    <param name="COMPort" value="COM2">
    <param name="frameRate" value="10"> <!-- could not exceed more than 10-->
    <param name="host" value="judge">
    </applet>
    The fist problem is that my class file does not get loaded from the jar file if i provide the "codebase" attribute as above. Instead the browser load every single class file from the webserver. This has some problem too. Coz the browser sometimes just thorough NullPointerException or ClassNotFoundException. After much of debugging I found out that the problem is the IE browser which seldom fails to load classes or image file from the server. If i referesh the browser the applet and all its classes loaded successfully and runs smoothly. This behaviour never occurs when running with "appletviewer".
    I wanted all my classes to be loaded from my jar file. After much of trial and error I found out that if i remove "codebase" attribute the browser loads the classes from my jar file and applet loads very fast. This is where the second problem comes in. The browser does not reload my webcam image file so that the webcam become alive with live images, like before.
    If I run on "appletviewer" everything works fine my web cam is displayed properly. But in IE browser the image does not get reloaded when I refresh my image to give live to my webcam display. The refresh method is given below.
    private void refresh(final URL url) {
    Image webCamImage =getImage(url);
    webCamImage.flush(); // flush out the previous image
    webCamImage = getImage(url); // get a new image
    webCamImageIcon.setImage(webCamImage); webCamImageIcon.paintIcon(webCamLabel, webCamLabel.getGraphics(), 15, 15);
    When I add the "codebase" attribute back, the image gets reloaded for every refresh() and everything works fine. But the classes are also loaded from the server. And occasionally also suffers Class loading and image loading problem. As I presented earlier, when I do refreshing in the browser everything gets loaded and the applet function correctly with web cam displaying very well.
    The problem is so strange that I could not find any way to solve it.
    It would be a great help to me if somebody provide me some work around to the problem.
    I tested on Windows 2000, Windows XP, IE 5.5, IE 6 with J2SDK 1.4.0.
    Thank you all very much in advance.
    best regards,
    Judge

    Thank you so much for the suggestions. I did tried the way u suggested. The problem still the same.
    I think its the problem between IE browser and Java Plug-in.
    I which SUN would find these incompatibilities and solve these problems.
    I even tried using java SDK and plug-in 1.4.1 it even worst. It can't even load an applet. And it does not show any loading messages nor any error messages. It just show a cross sign on the upper left coner.
    I would be so glad, if Sun would try to eliminate the inconsistancies such as caching, loading, initializing etc between browser and its Java plug-In. For example, applets behave well in appletviewer and behave unpredictably in browser environment.
    I have seen so many people in the forums with all sorts of problems because of this.
    Right now I m desperately looking for work around to my problem.
    If somebody would provide me with the solution to my problem it would be a great help to me.
    thank you all so much.
    best regards,
    Judge

  • MDT 2012 Update 1 Boot Image Creation Fails in SP1

    I have my site server (SCCM 2012 SP1) installed on Server 2012 with the Windows 8 ADK installed (I've also tried installing the Win7 WAIK with no change to the below problem). It is hosting the site server, FSP, AIS, and Endpoint protection roles. I
    installed MDT 2012 Update 1 (build 6.1.2373.0) and installed ConfigMgr integration. I have a share
    \\siteserver\bootimages that I'm creating the boot image to and the system account has full control on both the NTFS and Share permissions. When I create the boot image I get an error almost immediately and
    a popup that the Microsoft.BDD.ElevatedProxy has stopped working. Details from the pop-up:
    Description:
      Stopped working
    Problem signature:
      Problem Event Name: CLR20r3
      Problem Signature 01: microsoft.bdd.elevatedproxy.exe
      Problem Signature 02: 3.0.0.0
      Problem Signature 03: 50400c36
      Problem Signature 04: System.ServiceModel
      Problem Signature 05: 3.0.0.0
      Problem Signature 06: 4fee6b19
      Problem Signature 07: fb9
      Problem Signature 08: a7
      Problem Signature 09: G3DT0URDW53KGT4VJDEEQCRAUIFCNTLL
      OS Version: 6.2.9200.2.0.0.272.7
      Locale ID: 1033
    The error in the boot image creation wizard is:
    Started processing.
    Creating boot image.
    Error while importing Microsoft Deployment Toolkit Task Sequence.
    System.ServiceModel.FaultException: The server was unable to process the request due to an internal error.  For more information about the error, either turn on IncludeExceptionDetailInFaults (either from ServiceBehaviorAttribute or from the <serviceDebug>
    configuration behavior) on the server in order to send the exception information back to the client, or turn on tracing as per the Microsoft .NET Framework 3.0 SDK documentation and inspect the server trace logs.
    Server stack trace:
       at System.ServiceModel.Channels.ServiceChannel.ThrowIfFaultUnderstood(Message reply, MessageFault fault, String action, MessageVersion version, FaultConverter faultConverter)
       at System.ServiceModel.Channels.ServiceChannel.HandleReply(ProxyOperationRuntime operation, ProxyRpc& rpc)
       at System.ServiceModel.Channels.ServiceChannel.Call(String action, Boolean oneway, ProxyOperationRuntime operation, Object[] ins, Object[] outs, TimeSpan timeout)
       at System.ServiceModel.Channels.ServiceChannelProxy.InvokeService(IMethodCallMessage methodCall, ProxyOperationRuntime operation)
       at System.ServiceModel.Channels.ServiceChannelProxy.Invoke(IMessage message)
    Exception rethrown at [0]:
       at System.Runtime.Remoting.Proxies.RealProxy.HandleReturnMessage(IMessage reqMsg, IMessage retMsg)
       at System.Runtime.Remoting.Proxies.RealProxy.PrivateInvoke(MessageData& msgData, Int32 type)
       at INewBootImage.Create(String platform, String scratchSpace, String[] components, String[] extraContent, String wimFile)
       at NewBootImageClient.Create(String platform, String scratchSpace, String[] components, String[] extraContent, String wimFile)
       at Microsoft.BDD.Wizards.SCCM_ImportTaskSequenceTask.DoWork(SmsPageData smspageData, Dictionary`2 data)
    I haven't found anything online on this particular error, I've seen all the ones about MDT 2012 and ConfigMgr 2012 CU 1. Any ideas? Any logs that may be revealing to the cause of this error? I've tried removing integration components, uninstalling MDT, reboot,
    re-installing, etc, but same problem occurs each time.

    I just tried to create a new boot image again, the DISM.log file does not show any evidence of the attempt to create the boot wim, in fact nothing since 0800 this morning. The most recent logs are as follows:
    2013-03-03 20:22:59, Info                  DISM   PID=2252 TID=4312 Scratch directory set to 'C:\Windows\TEMP\'. - CDISMManager::put_ScratchDir
    2013-03-03 20:22:59, Info                  DISM   PID=2252 TID=4312 DismCore.dll version: 6.2.9200.16384 - CDISMManager::FinalConstruct
    2013-03-03 20:22:59, Info                  DISM   API: PID=2252 TID=4312 Leave CCommandThread::CommandThreadProcedureStub - CCommandThread::CommandThreadProcedureStub
    2013-03-03 20:22:59, Info                  DISM   API: PID=2252 TID=3088 Deleted g_internalDismSession - DismShutdownInternal
    2013-03-03 20:22:59, Info                  DISM   API: PID=2252 TID=3088 Shutdown SessionTable - DismShutdownInternal
    2013-03-03 20:22:59, Info                  DISM   API: PID=2252 TID=3088 Leave DismShutdownInternal - DismShutdownInternal
    2013-03-03 20:22:59, Info                  DISM   API: PID=2252 TID=3088 DismApi.dll:                                         
    - DismShutdownInternal
    2013-03-03 20:22:59, Info                  DISM   API: PID=2252 TID=3088 DismApi.dll: <----- Ending DismApi.dll session -----> - DismShutdownInternal
    2013-03-03 20:22:59, Info                  DISM   API: PID=2252 TID=3088 DismApi.dll:                                         
    - DismShutdownInternal
    2013-03-03 22:02:50, Info                  DISM   API: PID=3544 TID=3672 DismApi.dll:                                           
    - DismInitializeInternal
    2013-03-03 22:02:50, Info                  DISM   API: PID=3544 TID=3672 DismApi.dll: <----- Starting DismApi.dll session -----> - DismInitializeInternal
    2013-03-03 22:02:50, Info                  DISM   API: PID=3544 TID=3672 DismApi.dll:                                           
    - DismInitializeInternal
    2013-03-03 22:02:50, Info                  DISM   API: PID=3544 TID=3672 DismApi.dll: Version 6.2.9200.16384 - DismInitializeInternal
    2013-03-03 22:02:50, Info                  DISM   API: PID=3544 TID=3672 DismApi.dll: Parent process command line: C:\Windows\system32\wbem\wmiprvse.exe - DismInitializeInternal
    2013-03-03 22:02:50, Info                  DISM   API: PID=3544 TID=3672 Enter DismInitializeInternal - DismInitializeInternal
    2013-03-03 22:02:50, Info                  DISM   API: PID=3544 TID=3672 Input parameters: LogLevel: 2, LogFilePath: (null), ScratchDirectory: (null) - DismInitializeInternal
    2013-03-03 22:02:50, Info                  DISM   API: PID=3544 TID=3672 Initialized GlobalConfig - DismInitializeInternal
    2013-03-03 22:02:50, Info                  DISM   API: PID=3544 TID=3672 Initialized SessionTable - DismInitializeInternal
    2013-03-03 22:02:50, Info                  DISM   API: PID=3544 TID=3672 Lookup in table by path failed for: DummyPath-2BA51B78-C7F7-4910-B99D-BB7345357CDC - CTransactionalImageTable::LookupImagePath
    2013-03-03 22:02:51, Info                  DISM   API: PID=3544 TID=3672 Waiting for m_pInternalThread to start - CCommandThread::Start
    2013-03-03 22:02:51, Info                  DISM   API: PID=3544 TID=4172 Enter CCommandThread::CommandThreadProcedureStub - CCommandThread::CommandThreadProcedureStub
    2013-03-03 22:02:58, Info                  DISM   API: PID=3544 TID=4172 Enter CCommandThread::ExecuteLoop - CCommandThread::ExecuteLoop
    2013-03-03 22:02:58, Info                  DISM   API: PID=3544 TID=3672 CommandThread StartupEvent signaled - CCommandThread::WaitForStartup
    2013-03-03 22:02:58, Info                  DISM   API: PID=3544 TID=3672 m_pInternalThread started - CCommandThread::Start
    2013-03-03 22:02:58, Info                  DISM   API: PID=3544 TID=3672 Created g_internalDismSession - DismInitializeInternal
    2013-03-03 22:02:58, Info                  DISM   API: PID=3544 TID=3672 Leave DismInitializeInternal - DismInitializeInternal
    2013-03-03 22:03:57, Info                  DISM   API: PID=3544 TID=3672 Enter DismShutdownInternal - DismShutdownInternal
    2013-03-03 22:03:57, Info                  DISM   API: PID=3544 TID=3672 GetReferenceCount hr: 0x0 - CSessionTable::RemoveSession
    2013-03-03 22:03:57, Info                  DISM   API: PID=3544 TID=3672 Refcount for DismSession= 1s 0 - CSessionTable::RemoveSession
    2013-03-03 22:03:57, Info                  DISM   API: PID=3544 TID=3672 Successfully enqueued command object - CCommandThread::EnqueueCommandObject
    2013-03-03 22:03:57, Info                  DISM   API: PID=3544 TID=4172 ExecuteLoop: CommandQueue signaled - CCommandThread::ExecuteLoop
    2013-03-03 22:03:57, Info                  DISM   API: PID=3544 TID=4172 Successfully dequeued command object - CCommandThread::DequeueCommandObject
    2013-03-03 22:03:59, Info                  DISM   API: PID=3544 TID=4172 ExecuteLoop: Cancel signaled - CCommandThread::ExecuteLoop
    2013-03-03 22:03:59, Info                  DISM   API: PID=3544 TID=4172 Leave CCommandThread::ExecuteLoop - CCommandThread::ExecuteLoop
    2013-03-03 22:04:39, Info                  DISM   PID=3544 TID=4172 Temporarily setting the scratch directory. This may be overridden by user later. - CDISMManager::FinalConstruct
    2013-03-03 22:04:39, Info                  DISM   PID=3544 TID=4172 Scratch directory set to 'C:\Windows\TEMP\'. - CDISMManager::put_ScratchDir
    2013-03-03 22:04:39, Info                  DISM   PID=3544 TID=4172 DismCore.dll version: 6.2.9200.16384 - CDISMManager::FinalConstruct
    2013-03-03 22:04:39, Info                  DISM   API: PID=3544 TID=4172 Leave CCommandThread::CommandThreadProcedureStub - CCommandThread::CommandThreadProcedureStub
    2013-03-03 22:04:39, Info                  DISM   API: PID=3544 TID=3672 Deleted g_internalDismSession - DismShutdownInternal
    2013-03-03 22:04:39, Info                  DISM   API: PID=3544 TID=3672 Shutdown SessionTable - DismShutdownInternal
    2013-03-03 22:04:39, Info                  DISM   API: PID=3544 TID=3672 Leave DismShutdownInternal - DismShutdownInternal
    2013-03-03 22:04:39, Info                  DISM   API: PID=3544 TID=3672 DismApi.dll:                                         
    - DismShutdownInternal
    2013-03-03 22:04:39, Info                  DISM   API: PID=3544 TID=3672 DismApi.dll: <----- Ending DismApi.dll session -----> - DismShutdownInternal
    2013-03-03 22:04:39, Info                  DISM   API: PID=3544 TID=3672 DismApi.dll:                                         
    - DismShutdownInternal
    2013-03-04 08:41:07, Info                  DISM   API: PID=1016 TID=1620 DismApi.dll:                                           
    - DismInitializeInternal
    2013-03-04 08:41:07, Info                  DISM   API: PID=1016 TID=1620 DismApi.dll: <----- Starting DismApi.dll session -----> - DismInitializeInternal
    2013-03-04 08:41:07, Info                  DISM   API: PID=1016 TID=1620 DismApi.dll:                                           
    - DismInitializeInternal
    2013-03-04 08:41:07, Info                  DISM   API: PID=1016 TID=1620 DismApi.dll: Version 6.2.9200.16384 - DismInitializeInternal
    2013-03-04 08:41:07, Info                  DISM   API: PID=1016 TID=1620 DismApi.dll: Parent process command line: C:\Windows\system32\wbem\wmiprvse.exe - DismInitializeInternal
    2013-03-04 08:41:07, Info                  DISM   API: PID=1016 TID=1620 Enter DismInitializeInternal - DismInitializeInternal
    2013-03-04 08:41:07, Info                  DISM   API: PID=1016 TID=1620 Input parameters: LogLevel: 2, LogFilePath: (null), ScratchDirectory: (null) - DismInitializeInternal
    2013-03-04 08:41:07, Info                  DISM   API: PID=1016 TID=1620 Initialized GlobalConfig - DismInitializeInternal
    2013-03-04 08:41:07, Info                  DISM   API: PID=1016 TID=1620 Initialized SessionTable - DismInitializeInternal
    2013-03-04 08:41:07, Info                  DISM   API: PID=1016 TID=1620 Lookup in table by path failed for: DummyPath-2BA51B78-C7F7-4910-B99D-BB7345357CDC - CTransactionalImageTable::LookupImagePath
    2013-03-04 08:41:08, Info                  DISM   API: PID=1016 TID=1620 Waiting for m_pInternalThread to start - CCommandThread::Start
    2013-03-04 08:41:08, Info                  DISM   API: PID=1016 TID=4176 Enter CCommandThread::CommandThreadProcedureStub - CCommandThread::CommandThreadProcedureStub
    2013-03-04 08:41:09, Info                  DISM   API: PID=1016 TID=4176 Enter CCommandThread::ExecuteLoop - CCommandThread::ExecuteLoop
    2013-03-04 08:41:09, Info                  DISM   API: PID=1016 TID=1620 CommandThread StartupEvent signaled - CCommandThread::WaitForStartup
    2013-03-04 08:41:09, Info                  DISM   API: PID=1016 TID=1620 m_pInternalThread started - CCommandThread::Start
    2013-03-04 08:41:09, Info                  DISM   API: PID=1016 TID=1620 Created g_internalDismSession - DismInitializeInternal
    2013-03-04 08:41:09, Info                  DISM   API: PID=1016 TID=1620 Leave DismInitializeInternal - DismInitializeInternal
    2013-03-04 08:42:25, Info                  DISM   API: PID=1016 TID=1620 Enter DismShutdownInternal - DismShutdownInternal
    2013-03-04 08:42:25, Info                  DISM   API: PID=1016 TID=1620 GetReferenceCount hr: 0x0 - CSessionTable::RemoveSession
    2013-03-04 08:42:25, Info                  DISM   API: PID=1016 TID=1620 Refcount for DismSession= 1s 0 - CSessionTable::RemoveSession
    2013-03-04 08:42:25, Info                  DISM   API: PID=1016 TID=1620 Successfully enqueued command object - CCommandThread::EnqueueCommandObject
    2013-03-04 08:42:25, Info                  DISM   API: PID=1016 TID=4176 ExecuteLoop: CommandQueue signaled - CCommandThread::ExecuteLoop
    2013-03-04 08:42:25, Info                  DISM   API: PID=1016 TID=4176 Successfully dequeued command object - CCommandThread::DequeueCommandObject
    2013-03-04 08:42:25, Info                  DISM   API: PID=1016 TID=4176 ExecuteLoop: Cancel signaled - CCommandThread::ExecuteLoop
    2013-03-04 08:42:25, Info                  DISM   API: PID=1016 TID=4176 Leave CCommandThread::ExecuteLoop - CCommandThread::ExecuteLoop
    2013-03-04 08:42:44, Info                  DISM   PID=1016 TID=4176 Temporarily setting the scratch directory. This may be overridden by user later. - CDISMManager::FinalConstruct
    2013-03-04 08:42:44, Info                  DISM   PID=1016 TID=4176 Scratch directory set to 'C:\Windows\TEMP\'. - CDISMManager::put_ScratchDir
    2013-03-04 08:42:44, Info                  DISM   PID=1016 TID=4176 DismCore.dll version: 6.2.9200.16384 - CDISMManager::FinalConstruct
    2013-03-04 08:42:44, Info                  DISM   API: PID=1016 TID=4176 Leave CCommandThread::CommandThreadProcedureStub - CCommandThread::CommandThreadProcedureStub
    2013-03-04 08:42:44, Info                  DISM   API: PID=1016 TID=1620 Deleted g_internalDismSession - DismShutdownInternal
    2013-03-04 08:42:44, Info                  DISM   API: PID=1016 TID=1620 Shutdown SessionTable - DismShutdownInternal
    2013-03-04 08:42:44, Info                  DISM   API: PID=1016 TID=1620 Leave DismShutdownInternal - DismShutdownInternal
    2013-03-04 08:42:44, Info                  DISM   API: PID=1016 TID=1620 DismApi.dll:                                         
    - DismShutdownInternal
    2013-03-04 08:42:44, Info                  DISM   API: PID=1016 TID=1620 DismApi.dll: <----- Ending DismApi.dll session -----> - DismShutdownInternal
    2013-03-04 08:42:44, Info                  DISM   API: PID=1016 TID=1620 DismApi.dll:                                         
    - DismShutdownInternal
    2013-03-05 08:44:10, Info                  DISM   API: PID=4140 TID=3140 DismApi.dll:                                           
    - DismInitializeInternal
    2013-03-05 08:44:12, Info                  DISM   API: PID=4140 TID=3140 DismApi.dll: <----- Starting DismApi.dll session -----> - DismInitializeInternal
    2013-03-05 08:44:12, Info                  DISM   API: PID=4140 TID=3140 DismApi.dll:                                           
    - DismInitializeInternal
    2013-03-05 08:44:12, Info                  DISM   API: PID=4140 TID=3140 DismApi.dll: Version 6.2.9200.16384 - DismInitializeInternal
    2013-03-05 08:44:12, Info                  DISM   API: PID=4140 TID=3140 DismApi.dll: Parent process command line: C:\Windows\system32\wbem\wmiprvse.exe - DismInitializeInternal
    2013-03-05 08:44:12, Info                  DISM   API: PID=4140 TID=3140 Enter DismInitializeInternal - DismInitializeInternal
    2013-03-05 08:44:12, Info                  DISM   API: PID=4140 TID=3140 Input parameters: LogLevel: 2, LogFilePath: (null), ScratchDirectory: (null) - DismInitializeInternal
    2013-03-05 08:44:12, Info                  DISM   API: PID=4140 TID=3140 Initialized GlobalConfig - DismInitializeInternal
    2013-03-05 08:44:13, Info                  DISM   API: PID=4140 TID=3140 Initialized SessionTable - DismInitializeInternal
    2013-03-05 08:44:13, Info                  DISM   API: PID=4140 TID=3140 Lookup in table by path failed for: DummyPath-2BA51B78-C7F7-4910-B99D-BB7345357CDC - CTransactionalImageTable::LookupImagePath
    2013-03-05 08:44:14, Info                  DISM   API: PID=4140 TID=3140 Waiting for m_pInternalThread to start - CCommandThread::Start
    2013-03-05 08:44:14, Info                  DISM   API: PID=4140 TID=640 Enter CCommandThread::CommandThreadProcedureStub - CCommandThread::CommandThreadProcedureStub
    2013-03-05 08:44:32, Info                  DISM   API: PID=4140 TID=3140 CommandThread StartupEvent signaled - CCommandThread::WaitForStartup
    2013-03-05 08:44:32, Info                  DISM   API: PID=4140 TID=3140 m_pInternalThread started - CCommandThread::Start
    2013-03-05 08:44:32, Info                  DISM   API: PID=4140 TID=3140 Created g_internalDismSession - DismInitializeInternal
    2013-03-05 08:44:32, Info                  DISM   API: PID=4140 TID=3140 Leave DismInitializeInternal - DismInitializeInternal
    2013-03-05 08:44:32, Info                  DISM   API: PID=4140 TID=640 Enter CCommandThread::ExecuteLoop - CCommandThread::ExecuteLoop
    2013-03-05 08:45:56, Info                  DISM   API: PID=4140 TID=1320 Enter DismShutdownInternal - DismShutdownInternal
    2013-03-05 08:45:56, Info                  DISM   API: PID=4140 TID=1320 GetReferenceCount hr: 0x0 - CSessionTable::RemoveSession
    2013-03-05 08:45:56, Info                  DISM   API: PID=4140 TID=1320 Refcount for DismSession= 1s 0 - CSessionTable::RemoveSession
    2013-03-05 08:45:56, Info                  DISM   API: PID=4140 TID=1320 Successfully enqueued command object - CCommandThread::EnqueueCommandObject
    2013-03-05 08:45:56, Info                  DISM   API: PID=4140 TID=640 ExecuteLoop: CommandQueue signaled - CCommandThread::ExecuteLoop
    2013-03-05 08:45:56, Info                  DISM   API: PID=4140 TID=640 Successfully dequeued command object - CCommandThread::DequeueCommandObject
    2013-03-05 08:45:56, Info                  DISM   API: PID=4140 TID=640 ExecuteLoop: Cancel signaled - CCommandThread::ExecuteLoop
    2013-03-05 08:45:56, Info                  DISM   API: PID=4140 TID=640 Leave CCommandThread::ExecuteLoop - CCommandThread::ExecuteLoop
    2013-03-05 08:46:18, Info                  DISM   PID=4140 TID=640 Temporarily setting the scratch directory. This may be overridden by user later. - CDISMManager::FinalConstruct
    2013-03-05 08:46:18, Info                  DISM   PID=4140 TID=640 Scratch directory set to 'C:\Windows\TEMP\'. - CDISMManager::put_ScratchDir
    2013-03-05 08:46:18, Info                  DISM   PID=4140 TID=640 DismCore.dll version: 6.2.9200.16384 - CDISMManager::FinalConstruct
    2013-03-05 08:46:18, Info                  DISM   API: PID=4140 TID=640 Leave CCommandThread::CommandThreadProcedureStub - CCommandThread::CommandThreadProcedureStub
    2013-03-05 08:46:18, Info                  DISM   API: PID=4140 TID=1320 Deleted g_internalDismSession - DismShutdownInternal
    2013-03-05 08:46:18, Info                  DISM   API: PID=4140 TID=1320 Shutdown SessionTable - DismShutdownInternal
    2013-03-05 08:46:18, Info                  DISM   API: PID=4140 TID=1320 Leave DismShutdownInternal - DismShutdownInternal
    2013-03-05 08:46:18, Info                  DISM   API: PID=4140 TID=1320 DismApi.dll:                                         
    - DismShutdownInternal
    2013-03-05 08:46:18, Info                  DISM   API: PID=4140 TID=1320 DismApi.dll: <----- Ending DismApi.dll session -----> - DismShutdownInternal
    2013-03-05 08:46:18, Info                  DISM   API: PID=4140 TID=1320 DismApi.dll:                       

  • Strange images in my iPhoto?

    Hi i have had this problem for a while now, there are random strange images within my iphoto which i have never seen before. The images include icons such as guitars and also weird pixelated images which i dont have a clue what they are. There are loads of these inages in my iphoto and they are really annoying. I would be so greatful if someone could tell me what is wrong and a sollution a these images are taking up a lot of space on my imac. Thanks

    Thanks to the forum, I was able to locate them in my Mac's User Name/Pictures.  Is there a way to bring them back into Elements 9?

  • Dynnamic image creation from Swing Component

    Hi,
    I am trying to make a drag and drop area of an application, which will change the mouse cursor image to the component being dragged (a JPanel with several child Components).
    I know how to change the mouse cursor to a GIF image, my problem lies in dynamically creating the image from the onscreen components.
    Is there any way to get the image stream created by a container and pass that to a GIF creation method, or is there a simpler way?

    Why do you need a GIF image for that?
    A simple Image or Bufferedimage should do.
    Check this out:
    http://forum.java.sun.com/thread.jspa?threadID=477654&messageID=2220990
    And camickr's ScreenImage class:
    http://forum.java.sun.com/thread.jspa?threadID=604040

  • Date of image creation involuntarily changed in Bridge file/info panel

    I just realized that my image creation dates in the 'origin' panel in Photoshop has been involuntarily changed to 10/26/2012  3:59:47 PM. This apparently just started around last November. It is apparently triggered by applying the template I use to apply my name, address, etc. I'm thinking this is the date I actually created that template. But I have used it successfully for years and in images created before last November, the problem doesn't show up. If I hover my cursor over the image in Bridge, the correct creation and modification dates show up. It only seems to be showing up in the 'origin' panel and, therefore, in the entire metadata panel that shows all metadata. I have no idea how to even check the template to see if somehow a date was inserted. Does anyone out there have any ideas about this? Has anyone else had this problem?

    I don't know what you are seeing but when I hover over one of my images in Bridge CC, what I see is two dates: date created and date modified. Since the creation date was wrong, I went into the metadata template and simply changed it to the correct date. I don't see anything that says Date File Created and the 'Date Created" date has always corresponded (at least in the original, untouched RAW images) to when I actually shot the image.
    My workflow is to import the image from my camera and immediately change the 'name,' which is a meaningless 'img' number to something that makes sense to me (usually the place followed by consecutive numbers). Since I do this the same day as the shoot (I edit and upload each evening), it is possible what I see as Date Created is actually Date File Created. But at any rate, there is no 'Date File Created' line on any of my images. Where, besides the metadata, would that be located? Even in the metadata, the only date I see is under the 'origin' tab and that is the date I created the image (or it is until I add my own metadata template and then the 'date created' changes to that october 2012 date which I think corresponds to the date I actually created that information template).
    To add to the confusion, I just discovered the involuntary date change doesn't happen on my laptop when I apply my info template. Totally mystifying. But at least I now know there is a workaround...simply apply my info template on my laptop rather than waiting until everything is on the desktop. 
    Do you know how to go into the metadata info template and view what's there? I'm talking about the customized template with my name, address, url, etc.

  • Image creation failed?

    Trying to create a NetRestore image.
    Used SuperDuper to repair peremissions and create DMG of Client Zero HD
    Ran SIU. Log Follows. Seemed to be going OK but hung at this point, or was I too impatient to wait any longer? had been sitting there for 20+ minutes before I Quit SIU...
    Any pointers, please?
    Starting image creation.
    Workflow Started (2011-03-17 08:47:57 +0000)
    Mac OS X Server 10.6.6 (10J567), System Image Utility 10.6.5 (447)
    Starting action: Define Image Source (1.2)
    Finished running action: Define Image Source
    Starting action: Create Image (1.5.3)
    Starting image creation process...
    Create NetInstall Image
    Initiating NetInstall from Restore Media.
    progressPrefix="_progress"
    ++ progressPrefix=_progress
    scriptsDebugKey="DEBUG"
    ++ scriptsDebugKey=DEBUG
    imageIsUDIFKey="1"
    ++ imageIsUDIFKey=1
    mountPoint="/tmp/mnt.pde0nj"
    ++ mountPoint=/tmp/mnt.pde0nj
    ownershipInfoKey="505:20"
    ++ ownershipInfoKey=505:20
    mkextPathKey="/System/Library/Caches/com.apple.kext.caches/Startup/Extensions.mk ext"
    ++ mkextPathKey=/System/Library/Caches/com.apple.kext.caches/Startup/Extensions.mk ext
    sourceVol="/Volumes/Macintosh HD 1"
    ++ sourceVol='/Volumes/Macintosh HD 1'
    skipFileChecksumKey="0"
    ++ skipFileChecksumKey=0
    dmgTarget="NetInstall"
    ++ dmgTarget=NetInstall
    destPath="/image in here/NetRestore ofRolloutDMG"
    ++ destPath='/image in here/NetRestore ofRolloutDMG'
    asrSource="ASRInstall.pkg"
    ++ asrSource=ASRInstall.pkg
    blockCopyDeviceKey="0"
    ++ blockCopyDeviceKey=0
    . "$1/createCommon.sh"
    + . /tmp/niutemp.laZrfc41/createCommon.sh
    # createCommon.sh
    # Common functionality for the Image creation process.
    # sourced in by the various SIU scripts
    # Copyright 2007 Apple Inc. All rights reserved.
    # Using dscl, create a user account
    AddLocalUser()
    # $1 long name
    # $2 short name
    # $3 isAdminUser key
    # $4 password hash
    # $5 user picture path
    # $6 Language string
    local databasePath="/Local/Target/Users/${2}"
    # Find a free UID between 501 and 599
    for ((i=501; i<600; i++)); do
    output=`/usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -search /Local/Target/Users UniqueID $i`
    # If there is already an account dscl returns it, so we're looking for an empty return value.
    if [ "$output" == "" ]; then
    break
    fi
    done
    # Create the user record
    /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -create $databasePath || exit 1
    # Add long name
    /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath RealName "${1}" || exit 1
    # Add PrimaryGroupID
    if [ "${3}" == 1 ]; then
    /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath PrimaryGroupID 80 || exit 1
    else
    /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath PrimaryGroupID 20 || exit 1
    fi
    # Add UniqueID
    /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath UniqueID ${i} || exit 1
    # Add Home Directory entry
    /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath dsAttrTypeNative:home /Users/${2} || exit 1
    /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath authentication_authority ";ShadowHash;" || exit 1
    /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath picture "${5}" || exit 1
    /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath passwd "*" || exit 1
    # Add shell
    /usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -append $databasePath UserShell "/bin/bash" || exit 1
    # lookup generated uid
    genUID=`/usr/bin/dscl -f "${mountPoint}/var/db/dslocal/nodes/Default" localonly -read /Local/Target/Users/${2} GeneratedUID` || exit 1
    genUID=${genUID:14:36}
    # make sure the shadow/hash directory exists
    if [ ! -e "${mountPoint}/var/db/shadow/hash" ] ; then
    /bin/mkdir -p "${mountPoint}/var/db/shadow/hash" || exit 1
    /bin/chmod -R 700 "${mountPoint}/var/db/shadow" || exit 1
    fi
    # to copy our password hash in there...
    echo "${4}" > "${mountPoint}/var/db/shadow/hash/$genUID"
    /bin/chmod 600 "${mountPoint}/var/db/shadow/hash/$genUID" || exit 1
    # Create Home directory
    if [ -e "/System/Library/User Template/${6}.lproj/" ]; then
    /usr/bin/ditto "/System/Library/User Template/${6}.lproj/" "${mountPoint}/Users/${2}" || exit 1
    else
    /usr/bin/ditto "/System/Library/User Template/English.lproj/" "${mountPoint}/Users/${2}" || exit 1
    fi
    /usr/sbin/chown -R $i:$i "${mountPoint}/Users/${2}" || exit 1
    # If they exist, apply any Append.bom changes
    ApplyAppendBom()
    local tempDir="$1"
    local srcVol="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e "$tempDir/Append.bom" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Applying Append.bom additions from System Image Utility"
    fi
    /usr/bin/ditto $opt -bom "$tempDir/Append.bom" "$srcVol" "${mountPoint}" || exit 1
    fi
    if [ -e "$srcVol/Library/Application Support/Apple/System Image Utility/Append.bom" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Applying Append.bom additions from $srcVol"
    fi
    /usr/bin/ditto $opt -bom "$srcVol/Library/Application Support/Apple/System Image Utility/Append.bom" "$srcVol" "${mountPoint}" || exit 1
    fi
    # Copies a list of packages (full paths contained in the file at $1) from source to .../System/Installation/Packages/
    CopyPackagesFromFile()
    local theFile="$1"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    local leafName=`basename "${FILE}"`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Copying ${FILE}."
    fi
    /usr/bin/ditto $opt "${FILE}" "${mountPoint}/System/Installation/Packages/${leafName}" || exit 1
    fi
    done < "
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    local leafName=`basename "${FILE}"`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Copying ${FILE}."
    fi
    read SUB_PATH
    /usr/bin/ditto $opt "${FILE}" "${mountPoint}/System/Installation/Packages/${SUB_PATH}${leafName}" || exit 1
    fi
    done < "${theFile}"
    # Create the dyld shared cache files
    CreateDyldCaches()
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Creating dyld shared cache files"
    # This spews too much for verbose mode... only enable for debug
    if [ "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-debug"
    fi
    fi
    /usr/bin/updatedyld_sharedcache -root "${mountPoint}" -universal_boot -force $opt
    # Validate or create the destination directory and mount point
    CreateOrValidateDestination()
    local destDir="$1"
    if [ ! -d "$destDir" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Creating working path at $destDir"
    fi
    /bin/mkdir -p "$destDir" || exit 1
    fi
    # Create mount point
    if [ ! -d "${mountPoint}" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Creating mountpoint for in $destDir"
    fi
    /bin/mkdir -p "${mountPoint}" || exit 1
    fi
    # If any exist, apply any user accounts
    CreateUserAccounts()
    local count="${#userFullName[*]}"
    if [ $count -gt 0 ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Adding $count user account(s) to the image"
    fi
    for ((index=0; index<$count; index++)); do
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Adding user ${userFullName[$index]}"
    fi
    #lay down user here
    AddLocalUser "${userFullName[$index]}" "${userUnixName[$index]}" "${userIsAdmin[$index]}" "${userPassHash[$index]}" "${userImagePath[$index]}" "${userLanguage[$index]}"
    done
    # "touch"
    /usr/bin/touch "${mountPoint}/private/var/db/.AppleSetupDone"
    /usr/bin/touch "${mountPoint}/Library/Receipts/.SetupRegComplete"
    fi
    # retry the hdiutil detach until we either time out or it succeeds
    retryhdiutildetach()
    local mount_point="${1}"
    local tries=0
    local forceAt=0
    local limit=24
    local opt=""
    forceAt=$(($limit - 1))
    while [ $tries -lt $limit ]; do
    tries=$(( tries + 1 ))
    /bin/sleep 5
    echo "Attempting to detach the disk image again..."
    /usr/bin/hdiutil detach "${mount_point}" $opt
    if [ $? -ne 0 ]; then
    # Dump a list of any still open files on the mountPoint
    if [ "${scriptsDebugKey}" == "DEBUG" ]; then
    /usr/sbin/lsof +fg "${mount_point}"
    fi
    if [ $tries -eq $forceAt ]; then
    echo "Failed to detach disk image at '${mount_point}' normally, adding -force."
    opt="-force"
    fi
    if [ $tries -eq $limit ]; then
    echo "Failed to detach disk image at '${mount_point}'."
    exit 1
    fi
    else
    tries=$limit
    fi
    done
    # Create the dyld shared cache files
    DetachAndRemoveMount()
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Detaching disk image"
    # Dump a list of any still open files on the mountPoint
    if [ "${scriptsDebugKey}" == "DEBUG" ]; then
    /usr/sbin/lsof +fg "${mountPoint}"
    fi
    fi
    # Finally detach the image and dispose the mountPoint directory
    /usr/bin/hdiutil detach "${mountPoint}" || retryhdiutildetach "${mountPoint}" || exit 1
    /bin/rmdir "${mountPoint}" || exit 1
    # If the pieces exist, enable remote access for the shell image
    EnableRemoteAccess()
    local srcVol="$1"
    local opt=""
    if [ -e "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Enabling shell image remote access support"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    # install some things (again which aren't part of BaseSystem) needed for remote ASR installs
    /usr/bin/ditto $opt "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" "${mountPoint}/usr/lib/pam/pam_serialnumber.so.2" || exit 1
    if [ -e "${srcVol}/usr/sbin/installer" ]; then
    /usr/bin/ditto $opt "${srcVol}/usr/sbin/installer" "${mountPoint}/usr/sbin/installer" || exit 1
    fi
    # copy the sshd config and add our keys to the end of it
    if [ -e "${srcVol}/etc/sshd_config" ]; then
    /bin/cat "${srcVol}/etc/sshd_config" - > "${mountPoint}/etc/sshd_config" << END
    HostKey /private/var/tmp/sshhostkey
    HostKey /private/var/tmp/sshhost_rsakey
    HostKey /private/var/tmp/sshhost_dsakey
    END
    fi
    fi
    # If it exists, install the sharing names and/or directory binding support to the install image
    HandleNetBootClientHelper()
    local tempDir="$1"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e "$tempDir/bindingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Directory Service binding information"
    fi
    /usr/bin/ditto $opt "$tempDir/bindingNames.plist" "${mountPoint}/etc/bindingNames.plist" || exit 1
    /usr/sbin/chown root:wheel "${mountPoint}/etc/bindingNames.plist"
    /bin/chmod 644 "${mountPoint}/etc/bindingNames.plist"
    fi
    if [ -e "$tempDir/sharingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Sharing Names support"
    fi
    /usr/bin/ditto $opt "$tempDir/sharingNames.plist" "${mountPoint}/etc/sharingNames.plist" || exit 1
    /usr/sbin/chown root:wheel "${mountPoint}/etc/sharingNames.plist"
    /bin/chmod 644 "${mountPoint}/etc/sharingNames.plist"
    fi
    if [ -e "$tempDir/NetBootClientHelper" ]; then
    /usr/bin/ditto $opt "$tempDir/NetBootClientHelper" "${mountPoint}/usr/sbin/NetBootClientHelper" || exit 1
    /usr/sbin/chown root:wheel "${mountPoint}/usr/sbin/NetBootClientHelper"
    /bin/chmod 555 "${mountPoint}/usr/sbin/NetBootClientHelper"
    /usr/bin/ditto $opt "$tempDir/com.apple.NetBootClientHelper.plist" "${mountPoint}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist " || exit 1
    /usr/sbin/chown root:wheel "${mountPoint}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist "
    /bin/chmod 644 "${mountPoint}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist "
    # finally, make sure it isn't disabled...
    /usr/libexec/PlistBuddy -c "Delete :com.apple.NetBootClientHelper" "${mountPoint}/var/db/launchd.db/com.apple.launchd/overrides.plist" > /dev/null 2>&1
    fi
    # Create an installer package in /System/Installation/Packages/ wrapping the supplied script
    InstallerPackageFromScript()
    local tempDir="$1"
    local scriptPath="$2"
    local scriptName=`basename "${scriptPath}"`
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Create installer for script $scriptName"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    # shouldn't exist on entry...
    if [ -e "${tempDir}/emptyDir" ]; then
    /bin/rm -rf "${tempDir}/emptyDir"
    fi
    # make some directories to work in
    /bin/mkdir $opt -p "${tempDir}/$scriptName.pkg/Contents/Resources"
    /bin/mkdir $opt "${tempDir}/emptyDir" || exit 1
    cd "${tempDir}/emptyDir"
    # Create Archive.pax.gz
    /bin/pax -w -x cpio -f "$tempDir/$scriptName.pkg/Contents/Archive.pax" .
    /usr/bin/gzip "$tempDir/$scriptName.pkg/Contents/Archive.pax"
    # Create the Archive.bom file
    /usr/bin/mkbom "$tempDir/emptyDir/" "$tempDir/$scriptName.pkg/Contents/Archive.bom"
    # Create the Info.plist
    /bin/cat > "$tempDir/$scriptName.pkg/Contents/Info.plist" << END
    <?xml version="1.0" encoding="UTF-8"?>
    <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
    <plist version="1.0">
    <dict>
    <key>CFBundleIdentifier</key>
    <string>com.apple.server.SystemImageUtility.$scriptName</string>
    <key>CFBundleShortVersionString</key>
    <string>1</string>
    <key>IFMajorVersion</key>
    <integer>1</integer>
    <key>IFMinorVersion</key>
    <integer>0</integer>
    <key>IFPkgFlagDefaultLocation</key>
    <string>/tmp</string>
    <key>IFPkgFlagInstallFat</key>
    <false/>
    <key>IFPkgFlagIsRequired</key>
    <false/>
    <key>IFPkgFormatVersion</key>
    <real>0.10000000149011612</real>
    </dict>
    </plist>
    END
    echo "pkmkrpkg1" > "$tempDir/$scriptName.pkg/Contents/PkgInfo"
    echo "major: 1\nminor: 0" > "$tempDir/$scriptName.pkg/Contents/Resources/package_version"
    # Copy the script
    /bin/cp "$scriptPath" "$tempDir/$scriptName.pkg/Contents/Resources/postflight"
    # copy the package to the Packages directory
    /usr/bin/ditto $opt "$tempDir/$scriptName.pkg" "${mountPoint}/System/Installation/Packages/$scriptName.pkg" || exit 1
    # clean up
    /bin/rm -r "$tempDir/emptyDir"
    /bin/rm -r "$tempDir/$scriptName.pkg"
    # If it exists, install the PowerManagement.plist onto the install image
    InstallPowerManagementPlist()
    local tempDir="$1"
    local opt=""
    if [ -e "$tempDir/com.apple.PowerManagement.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing PowerManagement plist to install image"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    /usr/bin/ditto $opt "$tempDir/com.apple.PowerManagement.plist" "${mountPoint}/Library/Preferences/SystemConfiguration/com.apple.PowerManagemen t.plist" || exit 1
    /usr/sbin/chown root:wheel "${mountPoint}/Library/Preferences/SystemConfiguration/com.apple.PowerManagemen t.plist"
    /bin/chmod 644 "${mountPoint}/Library/Preferences/SystemConfiguration/com.apple.PowerManagemen t.plist"
    fi
    # If it exists, install the InstallerStatusNotifications.bundle and progress emitter onto the install image
    InstallProgressPieces()
    local tempDir="$1"
    local opt=""
    if [ -e "$tempDir/InstallerStatusNotifications.bundle" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing progress announcer to install image"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    /usr/bin/ditto $opt "$tempDir/InstallerStatusNotifications.bundle" "${mountPoint}/System/Library/CoreServices/InstallerStatusNotifications.bundle" || exit 1
    /usr/sbin/chown -R root:wheel "${mountPoint}/System/Library/CoreServices/InstallerStatusNotifications.bundle"
    /bin/chmod 755 "${mountPoint}/System/Library/CoreServices/InstallerStatusNotifications.bundle"
    fi
    if [ -e "$tempDir/com.apple.ProgressEmitter.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing status emitter to image"
    fi
    /usr/bin/ditto $opt "$tempDir/progress_emitter" "${mountPoint}/usr/sbin/progress_emitter" || exit 1
    /usr/sbin/chown root:wheel "${mountPoint}/usr/sbin/progress_emitter"
    /bin/chmod 555 "${mountPoint}/usr/sbin/progress_emitter"
    /usr/bin/ditto $opt "$tempDir/com.apple.ProgressEmitter.plist" "${mountPoint}/System/Library/LaunchDaemons/com.apple.ProgressEmitter.plist" || exit 1
    /usr/sbin/chown root:wheel "${mountPoint}/System/Library/LaunchDaemons/com.apple.ProgressEmitter.plist"
    /bin/chmod 644 "${mountPoint}/System/Library/LaunchDaemons/com.apple.ProgressEmitter.plist"
    fi
    # Converts a list of scripts (full paths contained in the file at $1) into packages in .../System/Installation/Packages/
    InstallScriptsFromFile()
    local tempDir="$1"
    local theFile="$2"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Converting scripts into install packages"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    # make an installer package out of the script
    InstallerPackageFromScript "$tempDir" "${FILE}"
    fi
    done < "
    local destDir="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Performing post install cleanup"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    opt="-v"
    fi
    fi
    # delete the DS indices to force reindexing...
    if [ -e "${mountPoint}/var/db/dslocal/indices/Default/index" ]; then
    /bin/rm $opt "${mountPoint}/var/db/dslocal/indices/Default/index"
    fi
    # detach the disk and remove the mount folder
    DetachAndRemoveMount || exit 1
    # copy the NBImageInfo.plist file
    /usr/bin/ditto $opt "$tempDir/NBImageInfo.plist" "$destDir/NBImageInfo.plist" || exit 1
    echo "Correcting permissions. ${ownershipInfoKey} $destDir"
    /usr/sbin/chown -R "${ownershipInfoKey}" "$destDir"
    # rename the folder to .nbi
    if [ ! -e "$destDir.nbi" ]; then
    /bin/mv $opt "$destDir" "$destDir.nbi" || exit 1
    else
    local parentDir=`dirname "${destDir}"`
    local targetName=`basename "${destDir}"`
    for ((i=2; i<1000; i++)); do
    if [ ! -e "${parentDir}/${targetName}_$i.nbi" ]; then
    /bin/mv $opt "$destDir" "${parentDir}/${targetName}_$i.nbi" || exit 1
    break
    fi
    done
    fi
    # Prepare the source by deleting stuff we don't want to copy if sourcing a volume
    PreCleanSource()
    local srcVol="$1"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    opt="-v"
    fi
    fi
    if [ -e "$srcVol/private/var/vm/swapfile*" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Removing swapfiles on $1"
    fi
    /bin/rm $opt "$srcVol/private/var/vm/swapfile*"
    fi
    if [ -d "$srcVol/private/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/tmp/*"
    fi
    if [ -d "$srcVol/private/var/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/var/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/var/tmp/*"
    fi
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out devices and volumes on $1"
    fi
    if [ -d "$srcVol/Volumes" ]; then
    /bin/rm -r $opt "$srcVol/Volumes/*"
    fi
    if [ -d "$srcVol/dev" ]; then
    /bin/rm $opt "$srcVol/dev/*"
    fi
    if [ -d "$srcVol/private/var/run" ]; then
    /bin/rm -r $opt "$srcVol/private/var/run/*"
    fi
    # Copy kernel and build the kext cache on the boot image
    PrepareKernelAndKextCache()
    local destDir="$1"
    local opt=""
    local archx8664=`/usr/bin/file -b "${mountPoint}/mach_kernel" | /usr/bin/sed -ne 's/.(x86_64)):./\1/p'`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Preparing the kernel and kext cache for the boot image"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    # Insure the kext cache on our source volume (the boot shell) is up to date
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Updating kext cache on source volume"
    fi
    /usr/sbin/kextcache -update-volume "${mountPoint}" || exit 1
    # Copy the i386 and, if it exists, the x86_64 architecture
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Preparing Intel architecture"
    fi
    # Prepare the kernel
    /bin/mkdir $opt "$destDir/i386" || exit 1
    /usr/bin/lipo -extract i386 "${mountPoint}/mach_kernel" -output "$destDir/i386/mach.macosx" || exit 1
    # Build kext cache
    /usr/sbin/kextcache -a i386 -s -l -n -z -mkext2 "$destDir/i386/mach.macosx.mkext" "${mountPoint}/System/Library/Extensions" || exit 1
    # If the x86_64 architecture exists, copy it
    if [ "${archx8664}" = "x86_64" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Preparing x86_64 architecture"
    fi
    # Prepare the kernel
    /bin/mkdir $opt "$destDir/i386/x86_64" || exit 1
    /usr/bin/lipo -extract x86_64 "${mountPoint}/mach_kernel" -output "$destDir/i386/x86_64/mach.macosx" || exit 1
    # Build kext cache
    /usr/sbin/kextcache -a x86_64 -s -l -n -z -mkext2 "$destDir/i386/x86_64/mach.macosx.mkext" "${mountPoint}/System/Library/Extensions" || exit 1
    fi
    # Create the i386 and x86_64 boot loaders on the boot image
    PrepareBootLoader()
    local srcVol="$1"
    local destDir="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Preparing boot loader"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    # Copy the i386 and, by default, the x86_64 architecture
    if [ -e "${mountPoint}/usr/standalone/i386/boot.efi" ]; then
    /usr/bin/ditto $opt "${mountPoint}/usr/standalone/i386/boot.efi" "$destDir/i386/booter" || exit 1
    else
    /usr/bin/ditto $opt "$srcVol/usr/standalone/i386/boot.efi" "$destDir/i386/booter" || exit 1
    fi
    # If it exists, install the partitioning application and data onto the install image
    ProcessAutoPartition()
    local tempDir="$1"
    local opt=""
    if [ -e "$tempDir/PartitionInfo.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Partitioning application and data to install image"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    /usr/bin/ditto $opt "$tempDir/PartitionInfo.plist" "${mountPoint}/System/Installation/PartitionInfo.plist" || exit 1
    /usr/bin/ditto $opt "$tempDir/AutoPartition.app" "${mountPoint}/System/Installation/AutoPartition.app" || exit 1
    # Tell the installer to run the Partitioning application
    /bin/echo "#!/bin/sh
    /System/Installation/AutoPartition.app/Contents/MacOS/AutoPartition" > "${mountPoint}/private/etc/rc.cdrom.postWS"
    # Due to the way rc.install sources the script, it needs to be executable
    /usr/sbin/chown root:wheel "${mountPoint}/private/etc/rc.cdrom.postWS"
    /bin/chmod 755 "${mountPoint}/private/etc/rc.cdrom.postWS"
    fi
    # If it exists, install the InstallPreferences.plist onto the install image
    ProcessInstallPreferences()
    local tempDir="$1"
    local opt=""
    if [ -e "$tempDir/InstallPreferences.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing InstallPreferences.plist to install image"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    /usr/bin/ditto $opt "$tempDir/InstallPreferences.plist" "${mountPoint}/System/Installation/Packages/InstallPreferences.plist" || exit 1
    /usr/sbin/chown root:wheel "${mountPoint}/System/Installation/Packages/InstallPreferences.plist"
    /bin/chmod 644 "${mountPoint}/System/Installation/Packages/InstallPreferences.plist"
    fi
    # If it exists, install the minstallconfig.xml onto the install image
    ProcessMinInstall()
    local tempDir="$1"
    local opt=""
    if [ -e "$tempDir/minstallconfig.xml" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing minstallconfig.xml to install image"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    /usr/bin/ditto $opt "$tempDir/minstallconfig.xml" "${mountPoint}/etc/minstallconfig.xml" || exit 1
    /usr/sbin/chown root:wheel "${mountPoint}/etc/minstallconfig.xml"
    /bin/chmod 644 "${mountPoint}/etc/minstallconfig.xml"
    fi
    # untar the OSInstall.mpkg so it can be modified
    untarOSInstallMpkg()
    local tempDir="$1"
    local opt=""
    # we might have already done this, so check for it first
    if [ ! -d "${tempDir}/OSInstall_pkg" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "uncompressing OSInstall.mpkg"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    fi
    /bin/mkdir "${tempDir}/OSInstall_pkg"
    cd "${tempDir}/OSInstall_pkg"
    /usr/bin/xar $opt -xf "${mountPoint}/System/Installation/Packages/OSInstall.mpkg"
    # make Distribution writeable
    /bin/chmod 777 "${tempDir}/OSInstall_pkg"
    /bin/chmod 666 "${tempDir}/OSInstall_pkg/Distribution"
    fi
    handler ()
    echo "Terminated. Cleaning up. Unmounting $destPath"
    # detach the disk and remove the mount folder
    DetachAndRemoveMount
    # Remove the items we created
    /bin/rm -r "$destPath/i386"
    /bin/rm "$destPath/$dmgTarget.dmg"
    /bin/rm "$destPath/System.dmg"
    # Finally, remove the directory IF empty
    /bin/rmdir "$destPath"
    exit 1
    InstallNetBootClientHelper()
    local tempDir="$1"
    local destDir="${mountPoint}/System/Installation/Packages/SIUExtras"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e "${tempDir}/bindingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Directory Service binding information"
    fi
    /usr/bin/ditto $opt "${tempDir}/bindingNames.plist" "${destDir}/bindingNames.plist" || exit 1
    /usr/sbin/chown root:wheel "${destDir}/bindingNames.plist"
    /bin/chmod 644 "${destDir}/bindingNames.plist"
    fi
    if [ -e "${tempDir}/sharingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Sharing Names support"
    fi
    /usr/bin/ditto $opt "${tempDir}/sharingNames.plist" "${destDir}/sharingNames.plist" || exit 1
    /usr/sbin/chown root:wheel "${destDir}/sharingNames.plist"
    /bin/chmod 644 "${destDir}/sharingNames.plist"
    fi
    # This is required, make sure it's here
    /usr/bin/ditto $opt "${tempDir}/NetBootClientHelper" "${destDir}/NetBootClientHelper" || exit 1
    /usr/sbin/chown root:wheel "${destDir}/NetBootClientHelper"
    /bin/chmod 555 "${destDir}/NetBootClientHelper"
    /usr/bin/ditto $opt "${tempDir}/com.apple.NetBootClientHelper.plist" "${destDir}/com.apple.NetBootClientHelper.plist" || exit 1
    /usr/sbin/chown root:wheel "${destDir}/com.apple.NetBootClientHelper.plist"
    /bin/chmod 644 "${destDir}/com.apple.NetBootClientHelper.plist"
    /usr/bin/ditto $opt "${tempDir}/installClientHelper.sh" "${mountPoint}/var/tmp/niu/postinstall/installClientHelper.sh" || exit 1
    /usr/sbin/chown root:wheel "${mountPoint}/var/tmp/niu/postinstall/installClientHelper.sh"
    /bin/chmod 555 "${mountPoint}/var/tmp/niu/postinstall/installClientHelper.sh"
    trap "handler" TERM INT
    + trap handler TERM INT
    # Set up for script debugging
    debug_opt=""
    + debug_opt=
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    debug_opt="-v"
    fi
    + '[' DEBUG == VERBOSE -o DEBUG == DEBUG ']'
    + debug_opt=-v
    # See if the source volume was overridden (NetRestore from install media workflow)
    isRestoreFromInstallMedia="NO"
    + isRestoreFromInstallMedia=NO
    if [ ! -z "${3:-}" ]; then
    sourceVol="${3}"
    isRestoreFromInstallMedia="YES"
    fi
    + '[' '!' -z '' ']'
    # Prepare the destination
    CreateOrValidateDestination "$destPath"
    + CreateOrValidateDestination '/image in here/NetRestore ofRolloutDMG'
    + local 'destDir=/image in here/NetRestore ofRolloutDMG'
    + '[' '!' -d '/image in here/NetRestore ofRolloutDMG' ']'
    + '[' DEBUG == VERBOSE -o DEBUG == DEBUG ']'
    + echo 'Creating working path at /image in here/NetRestore ofRolloutDMG'
    Creating working path at /image in here/NetRestore ofRolloutDMG
    + /bin/mkdir -p '/image in here/NetRestore ofRolloutDMG'
    + '[' '!' -d /tmp/mnt.pde0nj ']'
    # If the sourceVol is the boot drive we have an asr:// type source
    if [ "$sourceVol" == "/" ]; then
    # Create an empty image to skip the ASR volume creation
    /usr/bin/touch "${destPath}/System.dmg"
    fi
    + '[' '/Volumes/Macintosh HD 1' == / ']'
    # Look for an existing System.dmg
    if [ ! -e "$destPath/System.dmg" ]; then
    # update progress information
    echo "${progressPrefix}imagingSource"
    # Create an image of the source volume
    # /usr/bin/hdiutil create "$destPath/System" -srcfolder "$sourceVol" -format UDBZ -uid 0 -gid 80 -mode 1775 -ov -puppetstrings || exit 1
    if [ "${blockCopyDeviceKey}" == 1 ] ; then
    theDevice=`/usr/sbin/diskutil info "$sourceVol" | grep "Device Identifier:" | awk '{print $3}'`
    /usr/sbin/diskutil umount "${theDevice}"
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    echo "Creating block-level image of $theDevice"
    fi
    /usr/bin/hdiutil create "$destPath/System" -srcdevice "${theDevice}" -uid 0 -gid 80 -mode 1775 -ov -puppetstrings || exit 1
    /usr/sbin/diskutil mount "${theDevice}"
    else
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    echo "Creating image of $sourceVol"
    fi
    /usr/bin/hdiutil create "$destPath/System" -srcfolder "${sourceVol}" -fsargs "-c a=16384,c=8192,e=1280" -uid 0 -gid 80 -mode 1775 -ov -puppetstrings || exit 1
    fi
    # update progress information
    echo "${progressPrefix}preparingASR"
    # "Scan the image for restore"
    asr_opt="--filechecksum"
    if [ "${skipFileChecksumKey}" == 1 ] ; then
    asr_opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    echo "Preparing image for restore without file checksums"
    fi
    else
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ] ; then
    echo "Preparing image for restore"
    fi
    fi
    /usr/sbin/asr imagescan --source "$destPath/System.dmg" $asr_opt || exit 1
    fi
    + '[' '!' -e '/image in here/NetRestore ofRolloutDMG/System.dmg' ']'
    + echo progress_imagingSource
    + '[' 0 == 1 ']'
    + '[' DEBUG == VERBOSE -o DEBUG == DEBUG ']'
    + echo 'Creating image of /Volumes/Macintosh HD 1'
    Creating image of /Volumes/Macintosh HD 1
    + /usr/bin/hdiutil create '/image in here/NetRestore ofRolloutDMG/System' -srcfolder '/Volumes/Macintosh HD 1' -fsargs '-c a=16384,c=8192,e=1280' -uid 0 -gid 80 -mode 1775 -ov -puppetstrings
    PERCENT:0.000000
    PERCENT:0.433633
    PERCENT:87.806953
    PERCENT:-1.000000
    Finalizing disk image.
    detachTempimageFile: synchronous unmount /dev/disk1 returned 49153
    lsof: status error on /Volumes/Macintosh: No such file or directory
    lsof: status error on HD: No such file or directory
    lsof 4.82
    latest revision: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/
    latest FAQ: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/FAQ
    latest man page: ftp://lsof.itap.purdue.edu/pub/tools/unix/lsof/lsof_man
    usage: [-?abhlnNoOPRtUvV] [+|-c c] [+|-d s] [+D D] [+|-f[cgG]]
    [-F [f]] [-g [s]] [-i ] [+|-L [l]] [+|-M] [-o [o]] [-p s]
    [+|-r [t]] [-s [p:s]] [-S [t]] [-T [t]] [-u s] [+|-w] [-x [fl]] [--] [names]
    Use the ``-h'' option to get more help information.
    retrying unmount (#1)...
    detachTempImageFile: synchronous retry (#1) unmount /Volumes/Macintosh HD (/dev/disk1) returned 0
    Workflow Stopped (2011-03-17 10:01:33 +0000)
    Workflow Stopped (2011-03-17 10:01:34 +0000)
    Stopping image creation.
    Terminating script!

    Thanks for your input...I did wonder if I was being impatient...
    subsequently ran it again and was taken out of the office for a few hours, lo and behold on return all was well....
    Now however, netboot service won't start, netboot folder is not being created within library...another posting to follow
    Message was edited by: DaiVernon

  • I have LR5 on a mac book pro with a external hard drive with LR5 images. my problem is my external hard corrupted reformatedand have to this is expensive and i would to start over in LR5

    i have LR5 on a mac book pro with a WD external hard drive with my with my LR5 images . my problem is my external drive is corrupted .i was told by apple that my macshow the hard drive is there but it is not moumting and have to be reformat. i have to use recovery data to save my images on my external before i can refomat.iam willing to lose my images on my extenal hard drive but i would like to know can i erase my LR5 images and start over or delete LR5 and download it again

    Simply start a new catalog:
    File >> New Catalog
    Choose a new name and save.
    When the empty catalog launches you are ready to start over.

Maybe you are looking for